API Reference

Create File Context Source Version

Creating a new file context source version requires only the file; the name is optional.

Maximum file size is 50 MB.

Endpoint
POST https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/file

// Example
POST https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/file

Endpoint Request

Request Properties
file
multipart/form-data
The file to be uploaded for the context source version.
name
string, optional
Name of the context source version.
Request Body
curl -X POST "https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/file" \
   -F "name=Employee Handbook" \
   -F "file=employee-handbook.pdf" \
   -F "version_name=2026 Handbook"

Endpoint Response

A successful call returns a 201 status code with a response that contains the context source version object.

HTTP Status Codes
201 Created The context source version was created.
400 Bad Request The file was not provided in the request.
400 Bad Request The file size was greater than 100 MB.
400 Bad Request The file type was not allowed.
403 Forbidden Credit limit has been reached.
404 Not Found The context source didn't exist.
500 Internal Server Error Something went wrong on Zatomic's end.